package backend;

import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.OutputStream;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class ImageServlet extends HttpServlet {

    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        String id = request.getParameter("id");
        
        //Windows: C:\Program Files\Apache Software Foundation\Apache Tomcat 8.0.27/img/*.jpg
        //Ubuntu: /opt/tomcat/img/*.jpg
        File file = new File(new File("../.").getCanonicalPath() + "/img/" + id + ".jpg");
        FileInputStream in = new FileInputStream(file);
        OutputStream out;
        out = response.getOutputStream();

        byte[] buf = new byte[1024];
        int count;

        while ((count = in.read(buf)) >= 0) {
            out.write(buf, 0, count);
        }        

        out.flush();
        out.close();
    }

    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        doGet(request, response);
    }
}