package data;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

@JsonIgnoreProperties(ignoreUnknown = true)
public class ItemPedido {
    private Produto produto;   
    private Fornecedor fornecedor;
    private double preco;
    private int quantidade;
    private long id;
    
    public ItemPedido() {
        
    }

    public ItemPedido(Produto produto, Fornecedor fornecedor, double preco, int quantidade, long id) {
        this.produto = produto;
        this.fornecedor = fornecedor;
        this.preco = preco;
        this.quantidade = quantidade;
        this.id = id;
    }

    public double getPreco() {
        return preco;
    }

    public Produto getProduto() {
        return produto;
    }

    public void setProduto(Produto produto) {
        this.produto = produto;
    }

    public double getValorUnitario() {
        return preco;
    }

    public void setValorUnitario(double preco) {
        this.preco = preco;
    }

    public int getQuantidade() {
        return quantidade;
    }

    public void setQuantidade(int quantidade) {
        this.quantidade = quantidade;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public Fornecedor getFornecedor() {
        return fornecedor;
    }

    public void setFornecedor(Fornecedor fornecedor) {
        this.fornecedor = fornecedor;
    }

    @Override
    public String toString() {
        return "ItemPedido{" + "produto=" + produto + ", fornecedor=" + fornecedor + ", preco=" + preco + ", quantidade=" + quantidade + ", id=" + id + '}';
    }

}
